xmonad-contrib-0.18.0: Community-maintained extensions for xmonad

Copyright | (c) Spencer Janssen <spencerjanssen@gmail.com> David Roundy <droundy@darcs.net> Andrea Rossato <andrea.rossato@unibz.it>
License | BSD3-style (see LICENSE)
Maintainer | Andrea Rossato <andrea.rossato@unibz.it>
Stability | unstable
Portability | unportable
Safe Haskell | Safe-Inferred
Language | Haskell2010

XMonad.Layout.DragPane

Contents

- Usage

Description

Layouts that splits the screen either horizontally or vertically and shows two windows. The first window is always the master window, and the other is either the currently focused window or the second window in layout order.

Synopsis

- dragPane :: DragType -> Double -> Double -> DragPane a
- data DragPane a
- data DragType
  - = Horizontal
  - | Vertical

# Usage

You can use this module with the following in your `xmonad.hs`:

    import XMonad.Layout.DragPane

Then edit your `layoutHook` by adding the DragPane layout:

    myLayout = dragPane Horizontal 0.1 0.5 ||| Full ||| etc..
    main = xmonad def { layoutHook = myLayout }

For more detailed instructions on editing the layoutHook see the tutorial and XMonad.Doc.Extending.

dragPane :: DragType -> Double -> Double -> DragPane a Source #

data DragPane a Source #

#### Instances

Instances details

LayoutClass DragPane a Source # |

Instance details

Defined in XMonad.Layout.DragPane

Methods

runLayout :: Workspace WorkspaceId (DragPane a) a -> Rectangle -> X ([(a, Rectangle)], Maybe (DragPane a)) Source #

doLayout :: DragPane a -> Rectangle -> Stack a -> X ([(a, Rectangle)], Maybe (DragPane a)) Source #

pureLayout :: DragPane a -> Rectangle -> Stack a -> [(a, Rectangle)] Source #

emptyLayout :: DragPane a -> Rectangle -> X ([(a, Rectangle)], Maybe (DragPane a)) Source #

handleMessage :: DragPane a -> SomeMessage -> X (Maybe (DragPane a)) Source #

pureMessage :: DragPane a -> SomeMessage -> Maybe (DragPane a) Source #

description :: DragPane a -> String Source #

Read (DragPane a) Source # |
Instance details Defined in XMonad.Layout.DragPane Methods readsPrec :: Int -> ReadS (DragPane a) Source # readList :: ReadS [DragPane a] Source # readPrec :: ReadPrec (DragPane a) Source # readListPrec :: ReadPrec [DragPane a] Source #
Show (DragPane a) Source # |
Instance details Defined in XMonad.Layout.DragPane Methods showsPrec :: Int -> DragPane a -> ShowS Source # show :: DragPane a -> String Source # showList :: [DragPane a] -> ShowS Source #

data DragType Source #

Constructors

Horizontal |
Vertical |

#### Instances

Instances details

Read DragType Source # |
Instance details Defined in XMonad.Layout.DragPane Methods readsPrec :: Int -> ReadS DragType Source # readList :: ReadS [DragType] Source # readPrec :: ReadPrec DragType Source # readListPrec :: ReadPrec [DragType] Source #
Show DragType Source # |
Instance details Defined in XMonad.Layout.DragPane Methods showsPrec :: Int -> DragType -> ShowS Source # show :: DragType -> String Source # showList :: [DragType] -> ShowS Source #